Support Center

Software Requirements


ADOBE LIGHTROOM

Our Lightroom presets require Adobe Lightroom versions 4, 5, 6 or CC to work correctly. To download the latest version of Adobe Lightroom, visit the Adobe Website.

 

ADOBE CAMERA RAW

Our Adobe Camera Raw presets require Adobe Photoshop CS6 or CC, and Adobe Camera Raw 7.0+. To download the latest version of Adobe Photoshop and Adobe Camera Raw, visit the Adobe Website.


Have a question? Contact Us.

Subscribe to download the Starter Pack & Factory Toolbox preset packs

Plus 15% discount on your first order